/*
	CSS Syntax:

	selector {
	property: value;
	}
	
	selector - determins which element will be the styleing 
	applied.
	property - selected styling attribute to be modified
	value- the modified value of the selected styling.

*/

/*
	Type Selector
	-targets element with the specified type/tag name.

*/
h1{
	color: black !important;
	text-align: center;
	font-size: 2rem;
}

*{
	font-family: "Courier New", monospace;	
	font-size: 20px;
}

/*

	ID selector (id attribute)
	- targers elements according to its id.
*/
#zuitt-motto{
	letter-spacing: 5px;
}


/*
	class selector (.class-name)

*/
.offering-item{
	text-transform: uppercase;
}

/*
	Attribute Selector ([attribute] or tagname[attribute] or tagname [attribute="value"])
	-target elemts with a specified element attribute

*/
input[required]{
	width: 90%;
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*
	SELECTOR:
	- ID selector (Highest)
	- Class selector
	- Attribute selector
	- Type selector
	- Universal selector (Lowest)

	INCLUDING CSS
	- Inline Styling (Highest)
	- Internal Styling
	- External Styling (Lowest)
*/
/*

	CSS Selector Combinators
*/
/*

	Adjacent Sibling Selector (+)
	-select the sibling elements that is directly after another specified elemets
*/

h3 + img{
	height: 100px;
	width: 100px;
	border-radius: 50px;
}
/*
	Descendant Selector (Whitespace)
	-mastches all elements that are descendants of a specified element

*/
#bootcamp-learning-list li{
	color: #075966;
}
/*
General Sibling Selector (~)

	-select all elements that are next sibling of a specified element

	
*/
h2 ~ a{
	text-decoration: none;
}

/*
	Child Selector (>)
	-select all elements that are direct children of a specified element.
*/
section > form > label {
	color: rgb(0, 0, 128);
}

/*Adding Styling*/
body{
	background-color: skyblue;
}
html{
	scroll-behavior: smooth;
}
nav{
	background-color: white;
}
/* Selector :hover 
	-psuedo class
	changed the style when hovered over
*/
a:hover {
	background-color: #b4d6de;
}
div{
	display: inline-block;
	float: right;

}
section {
	height: 100vh;
	text-align: center;
}
h2{
	font-size: 1.5rem;
}
ol{
	list-style-type: none;
}
/*
	register section
*/
form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}
button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;

}